using System.ComponentModel.DataAnnotations;

namespace Hncore.Pass.PaymentCenter.Domain.Refund
{
    /// <summary>
    /// 退款状态
    /// </summary>
    public enum RefundStatus
    {
        /// <summary>
        /// 未知
        /// </summary>
        [Display(Name ="未知")]None = 0,

        /// <summary>
        /// 退款中
        /// </summary>
        [Display(Name = "退款中")] Processing = 1,

        /// <summary>
        /// 退款成功
        /// </summary>
        [Display(Name = "退款成功")] Success = 2,

        /// <summary>
        /// 退款失败
        /// </summary>
        [Display(Name = "退款失败")] Fail = 3,

        /// <summary>
        /// 未确定，需要商户原退款单号重新发起
        /// </summary>
        [Display(Name = "未确定")] NotSure = 4,

        /// <summary>
        /// 转入代发，退款到银行发现用户的卡作废或者冻结了，导致原路退款银行卡失败，资金回流到商户的现金帐号，需要商户人工干预，通过线下或者平台转账的方式进行退款
        /// </summary>
        [Display(Name = "转入代发")] Change = 5
    }
}